<?php

$accessControl = array('IncludeFile' => true);
require_once 'AccessControl.php';

if(!$session->canEditProfiles()) {
	echoNotice(_SORRY_NO_PERMISSIONS,"width:400px;margin:0 auto;");
	exit;
}

$labels = $_REQUEST['labels'];

if(defined($labels)) {
	$clabel = $labels;
	$labels = constant($labels);
} else {
	$clabel = $get_constant[$labels];
}

echo "<div id='define-{$clabel}'>";
if (isset($clabel) && isset($reports[$clabel])) {
	# there is a class file for this report, let's use it
	$r = new $reports[$clabel]["ClassName"]();
	$r->DefineReport();
}
echo "</div>";
?>